--- /dev/null
+Daniel Veillard <veillard@redhat.com> or <daniel@veillard.com>
+Wed Nov 2 14:17:50 CET 2005 Daniel Veillard <veillard@redhat.com>
+
+ * AUTHORS NEWS README autogen.sh configure.in: allow autogen.sh and
+ configure to start working
+ * src/Makefile.am src/internal.h src/libxen.c: make the first compile
+
Wed Nov 2 13:44:47 CET 2005 Daniel Veillard <veillard@redhat.com>
* src/libxen.c src/Makefile.am include/libxen.h configure.in
--- /dev/null
+Wed Nov 2 2005
+ - the very first work was checked in a CVS on veillard.com
--- /dev/null
+
+ LibXen : simple library to use the Xen hypervisor
+
+ As of Wed Nov 2 2005, this is a completely new project, it is not
+usable in any way yet.
+
+Daniel Veillard <veillard@redhat.com>
--- /dev/null
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+THEDIR=`pwd`
+cd $srcdir
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile libxen."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/autoconf"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile libxen."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/libtool"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ DIE=1
+ echo "You must have automake installed to compile libxen."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/automake"
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test -f src/libxen.c || {
+ echo "You must run this script in the top-level libxen directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+libtoolize --copy --force
+aclocal $ACLOCAL_FLAGS
+automake --add-missing
+autoconf
+
+cd $THEDIR
+
+if test x$OBJ_DIR != x; then
+ mkdir -p "$OBJ_DIR"
+ cd "$OBJ_DIR"
+fi
+
+$srcdir/configure "$@"
+
+echo
+echo "Now type 'make' to compile libxen."
dnl Process this file with autoconf to produce a configure script.
-AC_INIT(entities.c)
+AC_INIT(src/libxen.c)
AM_CONFIG_HEADER(config.h)
AC_CANONICAL_HOST
AM_INIT_AUTOMAKE(libxen, $VERSION)
+dnl Checks for programs.
+AC_PROG_CC
+AC_PROG_INSTALL
+AC_PROG_CPP
+AC_PATH_PROG(RM, rm, /bin/rm)
+AC_PATH_PROG(MV, mv, /bin/mv)
+AC_PATH_PROG(TAR, tar, /bin/tar)
+
+dnl Make sure we have an ANSI compiler
+AM_C_PROTOTYPES
+test "x$U" != "x" && AC_MSG_ERROR(Compiler not ANSI compliant)
+
+AM_PROG_LIBTOOL
+
+dnl search for the low level Xen library
+AC_SEARCH_LIBS(xc_domain_create, [xenctrl])
+
+AC_OUTPUT(Makefile src/Makefile)
lib_LTLIBRARIES = libxen.la
libxen_la_LIBADD =
-libxen_la_LDFLAGS = -version-info @LIBXML_VERSION_INFO@
+libxen_la_LDFLAGS = -version-info @LIBXEN_VERSION_INFO@
libxen_la_SOURCES = libxen.c
--- /dev/null
+/*
+ * internal.h: internal definitions just used by code from the library
+ */
+
+#ifndef __XEN_INTERNAL_H__
+#define __XEN_INTERNAL_H__
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#ifdef __GNUC__
+#ifdef HAVE_ANSIDECL_H
+#include <ansidecl.h>
+#endif
+#ifndef ATTRIBUTE_UNUSED
+#define ATTRIBUTE_UNUSED __attribute__((unused))
+#endif
+#else
+#define ATTRIBUTE_UNUSED
+#endif
+
+#ifdef __cplusplus
+}
+#endif /* __cplusplus */
+
+#endif /* __XEN_INTERNAL_H__ */
#include "libxen.h"
-#include "memory.h"
+#include <stdio.h>
+
#include "internal.h"
/*
struct _xenConnect {
unsigned int magic; /* specific value to check */
int handle; /* internal handle used for hypercall */
-}
+};
/**
* xenGetConnect:
* Returns a pointer to the hypervisor connection or NULL in case of error
*/
xenConnectPtr
-xenOpenConnect(const char *name ATTRIBUTE_UNUSED) {
+xenOpenConnect(const char *name) {
return(NULL);
}
* @conn: pointer to the hypervisor connection
*
* Get the version level of the Hypervisor running
+ */